Update a custom field
PATCH/api/custom-fields/{id}
Required permissions:
- settings.company: allows updating custom field resources.
Requires "Custom Fields" feature to be enabled.
Request
Path Parameters
Possible values: Value must match regular expression [0-9]+
The ID of the custom field to update
Header Parameters
The company you want to interact with
The API version you want to use
- application/json
Body
Possible values: <= 30 characters
The custom field name
The custom field description
Whether a value is required for this custom field
The sort position of the custom field
Responses
- 200
- 400
- 401
- 403
- 404
- 412
Returns the custom field updated.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 255 characters
The custom field name
The custom field description
The custom field type
The domain the custom field is bound to
Whether a value is required for this custom field
The sort position of the custom field
options
object[]
The list of options of this custom field. Only available when type is single_option, status or multi_select.
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 255 characters
The custom field option name
The hex color code of the option
The sort position of the option
The id of the custom field this option belongs to
The date and time when the resource was deleted
The date and time when the resource was archived
The date and time when the resource was deleted
{
"id": 1,
"created_at": "2026-06-12T11:36:10.305Z",
"updated_at": "2026-06-12T11:36:10.305Z",
"name": "Priority",
"description": "The task priority",
"type": "single_option",
"domain": "project_plan",
"required": false,
"sort": 1,
"options": [
{
"id": 1,
"created_at": "2026-06-12T11:36:10.305Z",
"updated_at": "2026-06-12T11:36:10.305Z",
"name": "High",
"color": "#224455",
"sort": 1,
"custom_field_id": 1,
"deleted_at": "2026-06-12T11:36:10.305Z"
}
],
"archived_at": "2026-06-12T11:36:10.305Z",
"deleted_at": "2026-06-12T11:36:10.305Z"
}
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
Array [
]
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Not found
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "not_found",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "precondition_failure",
"message": "string"
}